# PSF-LoginServer - master - net.psforever.objects.serverobject.llu.CaptureFlagSocketControl
PSF - LoginServer - master - net.psforever.objects.serverobject.llu.CaptureFlagSocketControl
Keywords: PSF LoginServer master net.psforever.objects.serverobject.llu.CaptureFlagSocketControl

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package llu
  Definition Classes
    serverobject
- CaptureFlag
- CaptureFlagDefinition
- CaptureFlagSocket
- CaptureFlagSocketControl
- CaptureFlagSocketDefinition

c

net.psforever.objects.serverobject.llu

# CaptureFlagSocketControl

###

#### class CaptureFlagSocketControl extends Actor with Check

An `Actor` that handles messages being dispatched to a lattice logic unit (LLU) socket. Actually does nothing lol

Source
  CaptureFlagSocketControl.scala

Linear Supertypes
Check, BasicAffinity, Actor, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CaptureFlagSocketControl
2. Check
3. BasicAffinity
4. Actor
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new CaptureFlagSocketControl(socket: CaptureFlagSocket)

   socket

     the socket entity being governed

### Type Members

1.  type Receive = PartialFunction[Any, Unit]
   Definition Classes
     Actor

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def FactionObject: CaptureFlagSocket
   Definition Classes
     CaptureFlagSocketControl → BasicAffinity
5.  def aroundPostRestart(reason: Throwable): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
6.  def aroundPostStop(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
7.  def aroundPreRestart(reason: Throwable, message: Option[Any]): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
8.  def aroundPreStart(): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
9.  def aroundReceive(receive: akka.actor.Actor.Receive, msg: Any): Unit
   Attributes
     protected[akka]
   Definition Classes
     Actor
   Annotations
     @InternalApi()
10.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
11.  val checkBehavior: Receive
    Definition Classes
      Check
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  implicit val context: ActorContext
    Definition Classes
      Actor
14.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
15.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
16.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
17.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
18.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
19.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
20.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
21.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
22.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
23.  def postRestart(reason: Throwable): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
24.  def postStop(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
25.  def preRestart(reason: Throwable, message: Option[Any]): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
26.  def preStart(): Unit
    Definition Classes
      Actor
    Annotations
      @throws(classOf[java.lang.Exception])
27.  def receive: Receive
    Definition Classes
      CaptureFlagSocketControl → Actor
28.  implicit final val self: ActorRef
    Definition Classes
      Actor
29.  final def sender(): ActorRef
    Definition Classes
      Actor
30.  def supervisorStrategy: SupervisorStrategy
    Definition Classes
      Actor
31.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
32.  def toString(): String
    Definition Classes
      AnyRef → Any
33.  def unhandled(message: Any): Unit
    Definition Classes
      Actor
34.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
35.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
36.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Check

### Inherited from BasicAffinity

### Inherited from Actor

### Inherited from AnyRef

### Inherited from Any

### Ungrouped